#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 33. GNOME Libraries and Desktop

- Prev

  yelp-xsl-3.38.3

- Next

  geocode-glib-3.26.2

- Up
- Home

# GConf-3.2.6

## Introduction to GConf

The GConf package contains a configuration database system used by many GNOME applications.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/GConf/3.2/GConf-3.2.6.tar.xz

- Download (FTP): ftp://ftp.acc.umu.se/pub/gnome/sources/GConf/3.2/GConf-3.2.6.tar.xz

- Download MD5 sum: 2b16996d0e4b112856ee5c59130e822c

- Download size: 1.5 MB

- Estimated disk space required: 45 MB

- Estimated build time: 0.3 SBU

### GConf Dependencies

#### Required

dbus-glib-0.110 and libxml2-2.9.10

#### Recommended

gobject-introspection-1.66.1, GTK+-3.24.25 and Polkit-0.118

#### Optional

OpenLDAP-2.4.57

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/gconf

## Installation of GConf

Install GConf by running the following commands:

    ./configure --prefix=/usr \
                --sysconfdir=/etc \
                --disable-orbit \
                --disable-static &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install &&
    ln -s gconf.xml.defaults /etc/gconf/gconf.xml.system

## Command Explanations

`--disable-orbit`: This switch is required if ORBit2 is not installed. ORBit2 is a deprecated package.

`--disable-static`: This switch prevents installation of static versions of the libraries.

## Contents

Installed Programs: gconf-merge-tree, gconftool-2, gsettings-data-convert and gsettings-schema-convert
Installed Libraries: libgconf-2.so and libgsettingsgconfbackend.so (GIO Module installed in `/usr/lib/gio/modules`)
Installed Directories: /etc/gconf, /usr/include/gconf, /usr/lib/GConf, /usr/share/gtk-doc/html/gconf and /usr/share/sgml/gconf

### Short Descriptions

gconf-merge-tree | merges an XML filesystem hierarchy
gconftool-2 | is a command line tool used for manipulating the GConf database
gsettings-data-convert | reads values out of the users GConf database and stores them in GSettings
gsettings-schemas-convert | converts between GConf and GSettings schema file formats
`libgconf-2.so` | provides the functions necessary to maintain the configuration database

Last updated on 2021-02-21 15:09:04 -0800

- Prev

  yelp-xsl-3.38.3

- Next

  geocode-glib-3.26.2

- Up
- Home